import React, { Component } from 'react';
import { Marker, Popup, withLeaflet } from "react-leaflet";
import L, { Icon } from 'leaflet';

class POIMarker extends Component{
    render(){
        return <>
            <Marker 
                position={[this.props.data.lat, this.props.data.lng] } 
                icon={new Icon({
                    iconUrl: window.EDITOR_URL + this.props.data.src,
                    iconSize: [30,30],
                    iconAnchor: [15,30],
                    popupAnchor: [0, -40]
                })}
                name={`${this.props.data.id}`} key={this.props.data.id}
                ref={marker => this.marker = marker}
            >
                {this.props.data.info &&
                    <Popup>
                        <div dangerouslySetInnerHTML={{ __html: this.props.data.info }} />
                    </Popup>
                }
            </Marker>;
            {this.props.data.showName &&
                <Marker 
                position={[this.props.data.lat, this.props.data.lng] } 
                icon={L.divIcon({
                    html: this.props.data.name,
                    iconSize: [400,20],
                    iconAnchor: [80,40]
                })}
                key={"poi-text-" + this.props.data.name}
            ></Marker>
            }
        </>
    }
}

export default withLeaflet(POIMarker);